Skip to main content

List all Webhook Executions

GET/v2/contributors/{contributorId}/webhook-executions/
v2
GET
extension-list-all-extension-instance-webhook-executions

Request

  • contributorIdstring
    required

Responses

Response headers

  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

application/json

A list of webhook executions.

  • Array[
    • *object
      • attemptsinteger
        required
      • contributorIdstring
        required
      • extensionIdstring (uuid)
        required
      • extensionInstanceIdstring (uuid)
        required
      • idstring (uuid)
        required
      • kindstring (one of: extensionAddedToContext, instanceUpdated, secretRotated, instanceRemovedFromContext)
        required
      • nextScheduledExecutionstring (date-time)
      • statestring (one of: running, queued, halted, failed, successful)
        required
    ]

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/contributors/string/webhook-executions?extensionId=f0f86186-0a5a-45b2-aa33-502777496347&extensionInstanceId=f0f86186-0a5a-45b2-aa33-502777496347&limit=50&page=1&sort=attempts&order=asc